<!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta http-equiv="X-UA-Compatible" content="ie=edge">
   <title>Document</title>
</head>

<body>
   <script>
      let promise2 = new Promise((resolve, reject) => {
         setTimeout(function () {
            reject('Done');
         }, 250);
      })
         .then(function (e) { console.log('done', e); })
         .catch(function (e) { console.log('catch', e); });

      console.log(promise2);

   </script>
</body>

</html>